Package csb :: Package statmech :: Module wham

[frames] | no frames]

# Module wham

source code

Estimate the free energy and density of states from tempered ensembles using histogram re-weighting.

Classes
| AbstractWHAM Abstract base class
| NonparametricWHAM Implementation of the nonparametric WHAM outlined in Habeck 2012, in which histograms are reduced to delta peaks, this allows to use energies samples at different orders of magnitude, improving the accuracy of the DOS estimates.
| WHAM Implementation of the original WHAM methods based on histograms.

Variables
| __package__ = ``'``csb.statmech``'``